<?
	/** Kod pobierający dane z bazy o grupach w przedmiocie (dla wykładowcy) oraz dane o zadaniach (dla wykładowcy i operatora).
	* @author Dariusz Działak
	* @package XPWykladowca
	*/

	global $sess;
	$przedmiot = $_GET[przedmiot];
	$Left = $_GET['Left'];

	$cykl_id = $sess->get("w_akt_cykl");
	$prac_id = $sess->get("id");

	if ($sess->isLoged("Wykl")) {
		$sess->set(W_Pgrupy, array());
		$q = new CQuery("SELECT g.gr_nr, imie, nazwisko, operator, count(*) as licz, z.id
				FROM XP_OSOBY o,
					XP_PROWADZACY_PRZEDMIOTY_CYKLI p,
					XP_PROWADZACY_GRUP g,
					XP_ZAJECIA_CYKLI z,
					XP_OSOBY_GRUP og
				WHERE (o.id=g.prac_id AND
						z.cdyd_kod='$cykl_id' AND
						z.prz_kod='$przedmiot' AND
						z.XP_OBSLUGA = 'Y' AND
						z.id=g.zaj_cyk_id AND
						p.cdyd_kod='$cykl_id' AND
						p.prz_kod='$przedmiot' AND
						p.prac_id='$prac_id' AND
						og.gr_nr=g.gr_nr AND
						og.zaj_cyk_id=z.id)
				GROUP BY og.gr_nr
				ORDER BY g.gr_nr;");
		if ($q->num_rows()) {
			while ($arr = $q->fetch_array()) {
				$grupa = array();
				$grupa[1]=$arr[imie]." ".$arr[nazwisko];
				$grupa[2]=$arr[operator];
				$grupa[3]=$arr[licz];
				$sess->setTab(W_Pgrupy, $arr[gr_nr], $grupa);
				if (empty($zaj_cykli)) $zaj_cykli=$arr["id"];
			}
		}
	}
	if (($sess->isLoged("Wykl")) || ($sess->isLoged("Oper"))) {
		if ($sess->isLoged("Oper")) {
			$superlink = new CLink ("W_przedm", "W_przedm");
			$superlink->addFirstParam("przedmiot", $przedmiot);
			$superlink->addParam("Left", 'x');
			$sess->set("Atreelink", $superlink);
			if ($Left == 'x') {
				$yes = 'true';
				include "Aleft_menu.inc.php";
			}
		}
		$sess->set(W_Pzadania, array());
		$q = new CQuery("SELECT z.id, numer_zad, nazwa, link_url, imie, nazwisko, zc.id as zaj_cykli
				FROM XP_ZADANIE z,
					XP_ZAJECIA_CYKLI zc,
					XP_OSOBY o
				WHERE (zc.cdyd_kod='$cykl_id' AND
						zc.prz_kod='$przedmiot' AND
						zc.XP_OBSLUGA = 'Y' AND
						zc.id=z.zaj_cykli AND
						z.autor=o.id)
				ORDER BY numer_zad;");
		if ($q->num_rows()) {
			while ($arr = $q->fetch_array()) {
				$zad = array();
				$zad[1] = $arr["numer_zad"];
				$zad[2] = $arr["nazwa"];
				$zad[3] = $arr["link_url"];
				$zad[4] = $arr["imie"]." ".$arr["nazwisko"];
				$sess->setTab(W_Pzadania, $arr["id"], $zad);
				if (empty($zaj_cykli)) $zaj_cykli=$arr["zaj_cykli"];
			}
		}
		$sess->set(w_zajecia, $zaj_cykli);
	} else printf("Zaloguj się!");
?>
